View Issue Details

IDProjectCategoryView StatusLast Update
0004019SymmetricDSBugpublic2019-06-25 14:05
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.10.3Fixed in Version3.10.3 
Summary0004019: Skipping a batch that contains a CREATE event gets a NullPointerException
DescriptionWhen a create batch loads successfully, but it's sent again, it will be skipped. However, the skipping logic in the DataProcessor still calls the writer for the create event without initializing the write properly.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 68323513

2019-06-19 10:27:40

admin

Details Diff
0004019: Skipping a batch that contains a CREATE event gets a
NullPointerException

0004019
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataProcessor.java Diff File

SymmetricDS: 3.10 2a8866a3

2019-06-20 16:07:03

admin

Details Diff
0004019: Skipping a batch that contains a CREATE event gets a
NullPointerException

0004019
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/DataProcessor.java Diff File

Issue History

Date Modified Username Field Change
2019-06-19 10:26 elong New Issue
2019-06-19 10:26 elong Status new => assigned
2019-06-19 10:26 elong Assigned To => elong
2019-06-19 10:28 elong Status assigned => resolved
2019-06-19 10:28 elong Resolution open => fixed
2019-06-19 10:28 elong Fixed in Version => 3.10.3
2019-06-19 11:00 admin Changeset attached => SymmetricDS 3.10 68323513
2019-06-20 17:00 admin Changeset attached => SymmetricDS 3.10 2a8866a3
2019-06-25 14:05 admin Status resolved => closed